<template>
  <div id="ViewFault">
    <div class="login-box shadow-sm mb-5 bg-white rounded">
      <div class="p-5">
        <h5>Faltas:</h5>
        <div v-for="(fault, key1) in family_faults[filterOptions(family_faults)]" :key="key1">
          <div class="container" v-if="fault!=null && fault!==undefined">
            <p><b>Regla incumplida:</b> {{fault.rule}}</p>
            <p><b>Culpable: </b> {{fault.user}}</p>
          </div>      
        </div>
        <div class="mt-4">
          <router-link class="btn btn-primary w-100" to="/createFault">REPORTAR FALTA</router-link>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import { mapState, mapGetters } from 'vuex'
  import { RTDB } from '../main.js';

  export default {
    computed:{
      ...mapGetters(['getCodeFamily']),
    },
    name: 'ViewFault',
    data () {
      return {
        family_faults: [],
        code:"X42069",
      };
    },
    methods:{

      filterOptions(options){
        let lastIndex=0;
        lastIndex = options.length;
        lastIndex--;
        return lastIndex;
      }
    },
    mounted(){
      let all = this;

      RTDB.ref('family/'+this.getCodeFamily+'/fault').on('value',snapshot=>{
        console.log(snapshot.val());
        this.family_faults.push(snapshot.val())});


    }
  };
</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.login-box{
  max-width: 480px;
}
.form-input, .form-input:focus{
  border-color: #3C394A;
  border-bottom-width: 2px;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-radius: 0;
  box-shadow: none;
  max-width: 100%;
}
.form-input:focus{
  border-color: #009A9A;
}
.btn-primary {
  color: #fff;
  background-color: #009A9A;
  border-color: #009A9A;
}
.btn-primary:hover{
  background-color: #45b5b5 !important;
}

h5, h3 {
  color: #45b5b5;
  font-weight: bold;
}
</style>
